<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LO21: autocell1D.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LO21
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">automates</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">autocell1D.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="autocell1_d_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef AUTOCELL_H</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define AUTOCELL_H</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &lt;QComboBox&gt;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &lt;QCoreApplication&gt;</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;QIntValidator&gt;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &lt;QHBoxLayout&gt;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &lt;QVBoxLayout&gt;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &lt;QHeaderView&gt;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &lt;QLabel&gt;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;QLineEdit&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;QMessageBox&gt;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;QPushButton&gt;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &lt;QSpinBox&gt;</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &lt;QString&gt;</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;QTableWidget&gt;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;QThread&gt;</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;QTimer&gt;</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;QToolBar&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;QtXml&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;QWidget&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="automate_manager_8h.html">automateManager.h</a>&quot;</span></div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="class_auto_cell1_d.html">   39</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_auto_cell1_d.html">AutoCell1D</a> : <span class="keyword">public</span> QWidget{</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;Q_OBJECT</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="comment">// Etat de depart</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    QSpinBox* num; <span class="comment">// numéro</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    QLineEdit* numeroBit[8]; <span class="comment">// un QLineEdit par bit</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    QLabel* numl;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    QLabel* numeroBitl[8];</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    QVBoxLayout* numc;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    QVBoxLayout* bitc[8];</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    QHBoxLayout* numeroc;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    QIntValidator* zeroOneValidator;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <span class="comment">// Question 2</span></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    QTableWidget* depart;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    QVBoxLayout* couche;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <span class="comment">// Table d&#39;etats et dimensions</span></div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    QTableWidget* etats1D;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    QLabel* largeurL;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    QSpinBox* largeur;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    QLabel* hauteurL;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    QSpinBox* hauteur;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    QPushButton* validDimensions;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    QHBoxLayout* dimensions;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> larg, haut;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> taille = 25;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> step = 0;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="comment">// Simulation</span></div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    QTimer* timer;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    QLabel* pasl;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    QDoubleSpinBox* pas;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    QVBoxLayout* pasc;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    QPushButton* simulation;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    QPushButton* simulationPas;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    QHBoxLayout* simulationPasLayout;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    QPushButton* arretSimulation;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    QPushButton* resetSimulation;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <span class="comment">// Generateur d&#39;Etat</span></div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    QPushButton* generer;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    QComboBox* generateur;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    QHBoxLayout* generateurL;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="comment">// Sauvegarder et charger en XML</span></div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    QLineEdit* nomAutomate;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    QPushButton* sauverAutomate;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    QComboBox* chargementBox;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    QPushButton* chargerAutomate;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    QPushButton* validerAutomate;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    QHBoxLayout* sauvCharg;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    <span class="keyword">explicit</span> <a class="code" href="class_auto_cell1_d.html">AutoCell1D</a>(QWidget* parent = <span class="keyword">nullptr</span>);</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<span class="keyword">private</span> slots:</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <span class="comment">// Synchroniser les entrées</span></div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="comment"></span>    <span class="keywordtype">void</span> synchronizeNumToNumBit(<span class="keywordtype">int</span> i);</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    <span class="keywordtype">void</span> synchronizeNumBitToNum(<span class="keyword">const</span> QString&amp; s);</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    <span class="comment">// Etats</span></div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;<span class="comment"></span>    <span class="keywordtype">void</span> cellActivation(<span class="keyword">const</span> QModelIndex&amp; index);</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    <span class="keywordtype">void</span> setSizeTable();</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    <span class="keywordtype">void</span> genererEtat();</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    <span class="comment">//Simulation</span></div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;<span class="comment"></span>    <span class="keywordtype">void</span> launchSimulation();</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    <span class="keywordtype">void</span> launchSimulationEtape();</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    <span class="keywordtype">void</span> arret();</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;    <span class="keywordtype">void</span> reset();</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    <span class="comment">// Xml</span></div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;<span class="comment"></span>    <span class="keywordtype">void</span> saveAutomate();</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    <span class="keywordtype">void</span> chargeAutomate();</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    <span class="keywordtype">void</span> validateAutomate();</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;};</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;<span class="preprocessor">#endif // AUTOCELL_H</span></div><div class="ttc" id="automate_manager_8h_html"><div class="ttname"><a href="automate_manager_8h.html">automateManager.h</a></div><div class="ttdoc">Documentation de la classe AutomateManager et de Generateur. </div></div>
<div class="ttc" id="class_auto_cell1_d_html"><div class="ttname"><a href="class_auto_cell1_d.html">AutoCell1D</a></div><div class="ttdoc">Classe qui cree l&amp;#39;interface de l&amp;#39;automate une dimension. </div><div class="ttdef"><b>Definition:</b> autocell1D.h:39</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.14
</small></address>
</body>
</html>
